<?php
/**** PHP开发接口核心版v0.2.1说明 ****
*本代码仅适用于金笛短信WEB中间件http接口，基于web中间件《开发接口说明文档》编写
*
**** 使用方法 ****
*1.按照注释配置按照[用户参数设置区]的各项参数
*2.运行本代码，看看在当前配置下是否正常将消息插入到待发送队列
*3.将本代码适配后，加入到您的项目中
****/

$midware_ip			= "127.0.0.1";				//中间件所在服务器的IP
$midware_port		= "8060";					//中间件发信API端口(默认8060)
$message			= "金笛短信WEB中间件！";	//短信内容
$recipient			= "18812340000";			//收件人手机号
$utf8encode			= false;					//中文乱码时设置为true
$midware_password 	= 1;						//中间件发送密码，默认为1
$midware_SSL		= true;

$protocol=$midware_SSL?"https":"http";

if(!$utf8encode){
		$text = urlencode($message);
	}else{
		$text = urlencode(utf8_encode($message));
}	

$midware_url = "{$protocol}://{$midware_ip}:{$midware_port}/send?password={$midware_password}&text={$text}&recipient={$recipient}&encoding=U"; 

echo $midware_url;
echo "</br>";
geturl($midware_url);

function geturl($url,$SSL=false){
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	if($SSL){
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);
	}
	$output = curl_exec($ch);
	curl_close($ch);
	return $output;
}	

?>